%define upstream_name    Dist-Zilla-PluginBundle-AVAR
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Use L<Dist::Zilla> like AVAR does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.28
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::Chrome::Term)
BuildRequires: perl(Dist::Zilla::Dist::Builder)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome)
BuildRequires: perl(Dist::Zilla::Plugin::MetaNoIndex)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.60.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.102.810
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the plugin bundle that AVAR uses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.300.0-2.mga4
+ Revision: 537094
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.300.0-1.mga4
+ Revision: 486311
- update to 0.30

* Fri Jun 07 2013 jquelin <jquelin> 0.280.0-1.mga4
+ Revision: 439184
- update to 0.28

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 366558
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.26

* Mon Apr 04 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 80356
- update to 0.25

* Sat Feb 26 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 60679
- update to 0.24

* Wed Jan 26 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 41080
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-AVAR

